Bug 171597 - Review Request: spandsp - A DSP library for telephony
Review Request: spandsp - A DSP library for telephony
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Package Reviews List
http://www.soft-switch.org/
:
Depends On:
Blocks: FE-ACCEPT 178922
  Show dependency treegraph
 
Reported: 2005-10-24 01:33 EDT by Jeffrey C. Ollie
Modified: 2015-03-28 14:38 EDT (History)
4 users (show)

See Also:
Fixed In Version: spandsp-0.0.6-0.10.pre21.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-05 09:51:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jeffrey C. Ollie 2005-10-24 01:33:21 EDT
Spec Name or Url: http://www.ocjtech.us/spandsp-0.0.3-0.1.pre4.spec
SRPM Name or Url: http://www.ocjtech.us/spandsp-0.0.3-0.1.pre4.src.rpm
Description: 

SpanDSP is a library of DSP functions for telephony, in the 8000
sample per second world of E1s, T1s, and higher order PCM channels. It
contains low level functions, such as basic filters. It also contains
higher level functions, such as cadenced supervisory tone detection,
and a complete software FAX machine. The software has been designed to
avoid intellectual property issues, using mature techniques where all
relevant patents have expired. See the file DueDiligence for important
information about these intellectual property issues.
Comment 1 Jeffrey C. Ollie 2005-10-24 01:36:18 EDT
Oops... almost forgot.  SpanDSP is a dependency for OpenPBX.org which I hope to
package once it stabilizes.
Comment 2 Aurelien Bompard 2005-10-24 14:04:02 EDT
* HTML doc is packaged twice, leave in -devel only
* %prep : "%setup0 -q" should be "%setup -q"
* include the COPYING file
* What does Legal think of the DueDiligence file ?
Comment 3 Jeffrey C. Ollie 2005-10-24 16:39:31 EDT
New spec/srpms:

Spec Name or Url: http://www.ocjtech.us/spandsp-0.0.3-0.2.pre4.spec
SRPM Name or Url: http://www.ocjtech.us/spandsp-0.0.3-0.2.pre4.src.rpm

As far as the DueDilligence file, I've asked in a number of places about the
implications of including SpanDSP in FE before and gotten generally positive
responses.  I have not specifically gotten any opinions from RedHat Legal.  What
is the process for requesting an opinion from Fedora Legal?  Nothing obvious
turned up in a Google search or the Fedora wiki.
Comment 4 Jeffrey C. Ollie 2005-11-23 13:52:28 EST
*Ping* Still waiting for information on how to get RedHat Legal to sign off on
this package.
Comment 5 Jeffrey C. Ollie 2005-11-23 14:04:22 EST
FWIW, Debian carries spandsp.  I'm searching for any trace of a discussion about
the legal status of spandsp on the debian lists.

http://packages.qa.debian.org/s/spandsp.html
Comment 6 Steve Underwood 2005-11-23 14:10:09 EST
I actually bothered to look at the IP issues when developing spandsp. Most
projects ignore them, and just hope they go away. Nobody seems to worry about
that. A due diligence file that addresses things and finds them to be OK worries
people. Weird.

I could find no patents problems with anything except V.17. Other patents have
lond expired (e.g. one on V.29). I couldn't track down the exact patent IBM
claim on V.17. However, I think it relates to trellis coding, and I think it
should be mid 80s vintage. That means it should be OK outside the US, but might
need checking for the exact expiry date in the US.
Comment 7 Steve Underwood 2005-11-23 14:12:52 EST
Oops, a bit got chopped off my last comment.

Because of the uncertain status of V.17, it is not build by default. In fact,
right now it isn't even 100% reliable. It needs more work. A default build of
spandsp has no patent issues.

Comment 8 Jeffrey C. Ollie 2006-01-10 22:53:09 EST
Aurelian... Can you take another look at this package?  It's been sitting here
for a while now.
Comment 9 Aurelien Bompard 2006-02-13 13:41:20 EST
Sorry to get back so late.

Review for release 0.2.pre4:
* RPM name is OK
* Source spandsp-0.0.3pre4.tgz is the same as upstream
* Builds fine in mock
* rpmlint looks OK
* File list looks OK
Everything looks OK to me packaging-wise, but I'd like to test-run it if
possible. Is there a program linked to it I could try ?
Comment 10 Jeffrey C. Ollie 2006-02-13 15:16:23 EST
No problemo... I understand fully about busy schedules...

The only real program that I have right now that uses spandsp is Asterisk
(#178922), which would take quite a bit to get set up just to test spandsp. 
There is some test code included with spandsp but I haven't figured out the
magic incantation to get it the tests to compile.
Comment 11 Aurelien Bompard 2006-02-13 18:27:00 EST
Well, I wanted to try asterisk anyway. I guess it's the perfect occasion
Comment 12 Erik S. LaBianca 2006-02-16 13:22:56 EST
The spec looks pretty good to me and compiles clean on centos 3. I'll test it
and your asterisk package soon(TM).
Comment 13 Jeffrey C. Ollie 2006-03-07 00:05:20 EST
Updated Spec/SRPM:

Spec Name or Url: http://www.ocjtech.us/spandsp-0.0.2-1.pre25.spec
SRPM Name or Url: http://www.ocjtech.us/spandsp-0.0.2-1.pre25.src.rpm

"Downgraded" to 0.0.2-based release because Asterisk does not seem to work with
0.0.3 (although it compiles, the RxFAX/TxFAX applications don't work).
Comment 14 Gavin Henry 2006-08-23 18:00:28 EDT
Hi,

What is the status of this package?

Thanks,

Gavin.
Comment 15 Jeffrey C. Ollie 2006-08-23 19:47:55 EDT
(In reply to comment #14)
> 
> What is the status of this package?

It's in a bit of limbo...  There's not much point to getting spandsp in Extras
unless Asterisk makes it in, and there's not much point for Asterisk in Fedora
Extras without the Zaptel kernel modules (you lose a lot of
important/interesting functionality in Asterisk without Zaptel).  The Zaptel
modules are being held up due to disagreements about how to package them
properly (or even if they should be packaged at all).
Comment 16 David Woodhouse 2006-10-05 08:48:36 EDT
I disagree with comment 15. There's plenty of point in having Asterisk even
without Zaptel -- and there's certainly no real need to delay packages on which
it depends, just because we're being slow in getting the Zaptel mess sorted out.

Updated to 0.0.2pre26 and accepted -- package at
http://david.woodhou.se/spandsp.spec
http://david.woodhou.se/spandsp-0.0.2-1.pre26.src.rpm

Go ahead...
Comment 17 Jeffrey C. Ollie 2006-10-05 09:51:17 EDT
Imported and built for development, FC-5 branch requested.
Comment 18 David Woodhouse 2006-10-05 11:47:02 EDT
Hm, now can we update it to 0.0.3 again? If Asterisk doesn't work with that,
then we'll have to fix Asterisk.

configure: error: SpanDSP does not appear to be new enough. You must have
version 0.0.3pre23 or newer to compile OpenPBX.org.
Comment 19 Jeffrey C. Ollie 2007-11-03 14:18:43 EDT
Package Change Request
======================
Package Name: spandsp
New Branches: EL-5
Updated EPEL Owners: jcollie

Needed to build Asterisk package on EL-5.
Comment 20 Kevin Fenzi 2007-11-03 15:31:27 EDT
cvs done.
Comment 21 Fedora Update System 2015-03-09 03:12:12 EDT
spandsp-0.0.6-0.10.pre21.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/spandsp-0.0.6-0.10.pre21.el7
Comment 22 Fedora Update System 2015-03-28 14:38:00 EDT
spandsp-0.0.6-0.10.pre21.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.